Bug 17765 - kernel panic booting cdrom
kernel panic booting cdrom
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
alpha Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-21 07:01 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-18 11:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-09-21 07:01:13 EDT
The  system is a KP1000/667 with a cdrom on hda and two scsi disks.

Booting the cdrom results in a kernel panic:

Kernel Panic: No init found.  Try passing init= option.

The SRM command was:

boot dqa0 -fi kernels/vmlinux.gz -fl root=/dev/hda

Using the boot floppies works fine.
Comment 1 Gene Czarcinski 2000-10-11 12:19:15 EDT
Confirmed.  This problem still exists in rc1.
Comment 2 Matt Wilson 2000-10-11 17:39:46 EDT
You are not booting properly.  Use:

boot dqa0 -fl 0
Comment 3 Gene Czarcinski 2000-10-13 06:46:27 EDT
And how is a user suppose to know that they need to boot this way -- devine
inspiration??  At least put something into the README.  The current README says
to look on www.redhat.com for SRM info.  Good luck!
Comment 4 Brock Organ 2000-10-17 17:01:24 EDT
documentation issue aside ... ;)

does the "boot dqa0 -fl 0" allow the install to boot from CD ...?
if not, what level of firmware is on this machine ...?

thanks for your efforts w/this ...
Comment 5 Gene Czarcinski 2000-10-18 10:18:37 EDT
boot dqa0 -fl 0 works!

Sorry I did not make that clear.  The "only" problem now is to tell folks that
this is how to boot.
Comment 6 Brock Organ 2000-10-18 11:33:03 EDT
agreed. We are working with the documentation folks on this ... thanks for your
help!

Note You need to log in before you can comment on or make changes to this bug.